package org.example.webtests.runner;

import io.cucumber.junit.Cucumber;
import io.cucumber.junit.CucumberOptions;
import org.junit.runner.RunWith;

@RunWith(Cucumber.class)
@CucumberOptions(
        features = "src/test/java/org/example/webtests/features/",
        glue = {"org.example.webtests.steps"},
        plugin = {
                "pretty",
                "html:test-reports/cucumber-html-report.html",
                "json:test-reports/cucumber.json",
                "pretty:test-reports/cucumber-pretty.txt",
                "usage:test-reports/cucumber-usage.json",
                "junit:test-reports/cucumber-results.xml"
        },
        publish = false,
        stepNotifications = true
)
public class DemoRunner {
    
}
